; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Make survivors have to call the elevator to the top before going to the ground floor
; --- Fake the elevator moving with visuals and sounds
; --- Remove logic_auto that opens the elevator doors on map spawn
filter:
{
	"hammerid" "1227763"
}
; --- Remove existing button as there are 2 buttons with the same targetname
{
	"hammerid" "329945"
	"targetname" "elevbuttonoutsidefront"
}
; --- Create the new elevator button
add:
{
	"classname" "prop_dynamic"
	"origin" "2048 5696 2516.17"
	"angles" "0 270 0"
	"model" "models/props_equipment/elevator_buttons.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "call_elevator_button_prop"
	"fadescale" "0"
	"glowrange" "1000"
	"glowrangemin" "128"
}
{
	"classname" "func_button"
	"origin" "2048 5706 2884.89"
	"model" "*5"
	"spawnflags" "1025"
	"targetname" "call_elevator_button"
	"glow" "call_elevator_button_prop"
	"wait" "-1"
	"sounds" "32"
	; --- Disable glow
	"OnPressed" "call_elevator_button_prop,StopGlowing,,0,-1"
	; --- Button and elevator lights
	"OnPressed" "call_elevator_button_prop,Skin,1,0,-1"
	"OnPressed" "call_elevator_button_prop,Skin,0,0.3,-1"
	"OnPressed" "call_elevator_lights,Skin,1,0.5,-1"
	; --- Elevator moving sound
	"OnPressed" "elevator_movement_sound,PlaySound,,2,-1"
	; --- Survivors call out pressing the button
	"OnPressed" "!activator,SpeakResponseConcept,c4m2_elevator_top_button,0,-1"
	; --- Start panic event
	"OnPressed" "director,ForcePanicEvent,,3,-1"
	; --- Elevator opens after ~30 seconds
	"OnPressed" "call_elevator_relay,Trigger,,34,-1"
}
; --- Create a relay for handling elevator arrival
{
	"classname" "logic_relay"
	"origin" "2035 5661 2473"
	"targetname" "call_elevator_relay"
	; --- Button and elevator lights
	"OnTrigger" "call_elevator_lights,Skin,0,4,-1"
	; --- Stop elevator moving sound
	"OnTrigger" "elevator_movement_sound,StopSound,,0,-1"
	; --- Elevator arrival sounds and dialogue
	"OnTrigger" "elevator_stop_sound,PlaySound,,2,-1"
	"OnTrigger" "sound_elevator_arrived,PlaySound,,4,-1"
	"OnTrigger" "sound_elevator_arrived,StopSound,,10,-1"
	; --- Survivors call out the elevator arriving
	"OnTrigger" "!activator,SpeakResponseConcept,PlayerMoveOn,5,-1"
	; --- Open the doors
	"OnTrigger" "elevator_1_door1,Open,,5,-1"
	"OnTrigger" "elevator_1_door2,Open,,5,-1"
	; --- Unblock nav
	"OnTrigger" "elevator_event_nav_block_a,UnblockNav,,5,-1"
	"OnTrigger" "elevator_event_nav_block_b,UnblockNav,,5,-1"
}
; --- Give a unique name to the relevant elevator arrow lights so we only change this one
modify:
{
	match:
	{
		"hammerid" "330225"
	}
	replace:
	{
		"targetname" "call_elevator_lights"
	}
}
; --- Add a glow to the button when hitting a trigger just before the elevator room, and limit trigger to survivors
{
	match:
	{
		"hammerid" "4029721"
		"origin" "1728 5736 2528"
	}
	insert:
	{
		"filtername" "filter_survivor"
		"OnStartTouch" "call_elevator_button_prop,StartGlowing,,0,-1"
	}
}
; --- Block elevator nav until doors open
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "elevator_event_nav_block_a,AddOutput,mins -104 -100 -96,0,-1"
	"OnMapSpawn" "elevator_event_nav_block_a,AddOutput,maxs 104 100 96,0,-1"
	"OnMapSpawn" "elevator_event_nav_block_a,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "elevator_event_nav_block_a,BlockNav,,1,-1"
	"OnMapSpawn" "elevator_event_nav_block_b,AddOutput,mins -44 -12 -96,0,-1"
	"OnMapSpawn" "elevator_event_nav_block_b,AddOutput,maxs 44 12 96,0,-1"
	"OnMapSpawn" "elevator_event_nav_block_b,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "elevator_event_nav_block_b,BlockNav,,1,-1"
}
{
	"classname" "func_nav_blocker"
	"origin" "2168 5813 2560"
	"targetname" "elevator_event_nav_block_a"
	"teamToBlock" "-1"
}
{
	"classname" "func_nav_blocker"
	"origin" "2164 5701 2560"
	"targetname" "elevator_event_nav_block_b"
	"teamToBlock" "-1"
}
; --- Remove scripted zombie spawns that fall through the windows by the end saferoom
filter:
{
	"hammerid" "4029840"
}
{
	"targetname" "case_trigger_lobby_fall"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
add:
; --- Single pickup tier 1 weapons in saferoom
{
	"classname" "weapon_smg_silenced"
	"origin" "423 5512 2895"
	"angles" "0 236.5 84"
	"ammo" "650"
	"spawnflags" "1"
}
{
	"classname" "weapon_shotgun_chrome"
	"origin" "444 5480 2861"
	"angles" "-76.7195 199.715 70.0679"
	"ammo" "72"
	"spawnflags" "1"
}
; --- Fireaxe in the saferoom stairwell
{
	"classname" "weapon_melee_spawn"
	"origin" "248 5629 2657"
	"angles" "0 45 90"
	"melee_weapon" "fireaxe"
	"spawn_without_director" "1"
	"solid" "0"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "1"
}
; --- Single pickup magnum on the cleaning cart just outside saferoom
{
	"classname" "weapon_pistol_magnum"
	"origin" "675 5683 2699"
	"angles" "0 150 90"
	"spawnflags" "1"
}
; --- Single pickup T1s on table by cleaning cart around the corner in the first hallway
{
	"classname" "weapon_smg"
	"origin" "1684 5926 2692"
	"angles" "0 270 90"
	"ammo" "650"
	"spawnflags" "1"
}
{
	"classname" "weapon_pumpshotgun"
	"origin" "1687 5894 2692"
	"angles" "0 255 90"
	"ammo" "72"
	"spawnflags" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1684 5901 2656"
	"angles" "0 0 0"
	"model" "models/props_interiors/table_kitchen.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Make the melee in the map room always spawn
modify:
{
	match:
	{
		"hammerid" "3883068"
	}
	replace:
	{
		"spawnflags" "3"
	}
}
; --- Melee weapon in the room by the elevator
add:
{
	"classname" "weapon_melee_spawn"
	"origin" "1920 5394 2475"
	"angles" "0 143 90"
	"melee_weapon" "any"
	"spawn_without_director" "1"
	"solid" "0"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "1"
}
; --- Guns in the room by the elevator
{
	"classname" "weapon_spawn"
	"origin" "2155 5367 2487"
	"angles" "0 270 -90"
	"weapon_selection" "any_smg"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "2141 5413 2465"
	"angles" "0 223 -90"
	"weapon_selection" "tier1_shotgun"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile in the map room
{
	"classname" "weapon_ammo_spawn"
	"origin" "1011 5268 2686"
	"angles" "0 90 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Ammo pile in room before the elevator
{
	"classname" "weapon_ammo_spawn"
	"origin" "1827 5258 2464"
	"angles" "0 210 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block standing on the pipe in the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "398 5807 3008"
	"angles" "-30 0 0"
	"mins" "-5 -5 -16"
	"maxs" "5 5 16"
	"boxmins" "-5 -5 -16"
	"boxmaxs" "5 5 16"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block skipping the first floor from the balconies left of the saferoom exit
{
	"classname" "env_physics_blocker"
	"origin" "1612 6377 2652"
	"mins" "-36 -1 -196"
	"maxs" "36 1 196"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block skipping the first floor by dropping into the window by the elevator shaft
{
	"classname" "env_physics_blocker"
	"origin" "2357 5644 2630"
	"angles" "0 0 -50"
	"mins" "-5 -24 -14"
	"maxs" "5 24 14"
	"boxmins" "-5 -24 -14"
	"boxmaxs" "5 24 14"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2357 5604 2630"
	"angles" "0 0 50"
	"mins" "-5 -24 -14"
	"maxs" "5 24 14"
	"boxmins" "-5 -24 -14"
	"boxmaxs" "5 24 14"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block dropping to the lower ledge from the first outside section
{
	"classname" "env_physics_blocker"
	"origin" "2384 6332 2532"
	"mins" "-128 -148 -70"
	"maxs" "128 148 70"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "lower_ledge_block"
}
{
	"classname" "env_physics_blocker"
	"origin" "2296 7080 2532"
	"mins" "-40 -600 -70"
	"maxs" "40 600 70"
	"initialstate" "1"
	"BlockType" "1"
	"targetname" "lower_ledge_block"
}
; --- Remove the block once survivors have opened the stairwell door
modify:
{
	match:
	{
		"hammerid" "570190"
	}
	insert:
	{
		"OnBreak" "lower_ledge_block,Kill,,0,-1"
		"OnOpen" "lower_ledge_block,Kill,,0,-1"
	}
}
add:
; --- Block survivors from standing on the awning above the check-in desk
{
	"classname" "env_physics_blocker"
	"origin" "720 4832 1444"
	"mins" "-216 -32 -124"
	"maxs" "216 32 124"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================
add:
; --- Block survivors getting on the roof in the first outside section
{
	"classname" "env_physics_blocker"
	"origin" "2360 6300 2908"
	"mins" "-88 -116 -60"
	"maxs" "88 116 60"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2304 7048 2892"
	"mins" "-32 -632 -76"
	"maxs" "32 632 76"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors getting out of the map through the windows by the end saferoom
{
	"classname" "env_physics_blocker"
	"origin" "1096 4660 1564"
	"mins" "-632 -220 -36"
	"maxs" "632 220 36"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Block getting stuck on top of the suitcase pile just before the kitchen
{
	"classname" "env_physics_blocker"
	"origin" "494 5436 1264"
	"mins" "-46 -60 -80"
	"maxs" "46 60 80"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Block getting stuck on top of the door barricade in the saferoom.
{
	"classname" "env_physics_blocker"
	"origin" "1953 4304 1264"
	"mins" "-45 -16 -48"
	"maxs" "45 16 48"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Prevent getting stuck on top of the photocopier in the saferoom
{
	"classname" "env_physics_blocker"
	"origin" "2175 4543 1213"
	"mins" "-23 -17 -30"
	"maxs" "23 17 30"
	"initialstate" "1"
	"BlockType" "0"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
; --- Remove window by elevator that prevents death charges and ledge hangs
filter:
{
	"hammerid" "2536550"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- AC unit in saferoom for weapons and SI spawns
{
	"classname" "prop_dynamic"
	"origin" "420 5491 2848"
	"angles" "0 90 0"
	"model" "models/props_rooftop/acunit2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Props in room before elevator for spawns
{
	"classname" "prop_dynamic"
	"origin" "1998 5517 2464"
	"angles" "0 270 0"
	"model" "models/props_equipment/snack_machine2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under snack machine
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_snack_elevator,AddOutput,mins -22 -16 -4,0,-1"
	"OnMapSpawn" "losfix_snack_elevator,AddOutput,maxs 22 16 4,0,-1"
	"OnMapSpawn" "losfix_snack_elevator,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "1997 5517 2468"
	"targetname" "losfix_snack_elevator"
}
; --- Props in the Banquet Hall A area for spawns
{
	"classname" "prop_dynamic"
	"origin" "-358 5271 1184"
	"angles" "0 81.5 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-377 5337 1184"
	"angles" "0 17 0"
	"model" "models/props_equipment/snack_machine2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under snack machine
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_snack_hall,AddOutput,mins -1 -22 -4,0,-1"
	"OnMapSpawn" "losfix_snack_hall,AddOutput,maxs 1 22 4,0,-1"
	"OnMapSpawn" "losfix_snack_hall,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-378 5337 1188"
	"targetname" "losfix_snack_hall"
}
; --- Drinks machines behind the check-in desk by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "546 4942 1184"
	"angles" "0 90 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "524 4906 1184"
	"angles" "0 0 0"
	"model" "models/props_interiors/water_cooler.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Dressers by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "1344 4908 1183"
	"angles" "0 270 90"
	"model" "models/props_downtown/dresser.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "1301 4908 1182"
	"angles" "0 270 83.5"
	"model" "models/props_downtown/dresser.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Baggage cart by the end saferoom
{
	"classname" "prop_dynamic_override"
	"origin" "1152 4914 1184"
	"angles" "0 0 0"
	"model" "models/props_interiors/luggagecarthotel01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "1143 4915 1185"
	"angles" "0 0 0"
	"model" "models/props_unique/airport/luggage1.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "1155 4904 1207"
	"angles" "0 0 -90"
	"model" "models/props_unique/airport/luggage2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "1166 4923 1205"
	"angles" "0 0 90"
	"model" "models/props_unique/airport/luggage4.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "1152 4927 1226"
	"angles" "-83 0 90"
	"model" "models/props_unique/airport/luggage3.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic_override"
	"origin" "1177 4915 1236"
	"angles" "-83 0 0"
	"model" "models/props_unique/airport/luggage1.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block LOS under baggage cart
{
	"classname" "logic_auto"
	"OnMapSpawn" "los_baggage_cart,AddOutput,mins -20 -1 -3,0,-1"
	"OnMapSpawn" "los_baggage_cart,AddOutput,maxs 20 1 3,0,-1"
	"OnMapSpawn" "los_baggage_cart,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "1152 4914 1187"
	"targetname" "los_baggage_cart"
}
; --- Chair by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "1275 4399 1184"
	"angles" "0 90 0"
	"model" "models/props_urban/hotel_chair001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Luggage pile by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "1583 4165 1183"
	"angles" "0 197.5 0"
	"model" "models/props_unique/airport/luggage_pile1.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1583 4173 1288"
	"mins" "-69 -51 -104"
	"maxs" "69 51 104"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================
; --- Make railing in elevator solid so survivors can stand on it
add:
{
	"classname" "env_physics_blocker"
	"origin" "2075 5834 2505"
	"mins" "-3 -71 -1"
	"maxs" "3 71 1"
	"initialstate" "1"
	"BlockType" "0"
	"parentname" "elevator_1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2261 5834 2505"
	"mins" "-3 -71 -1"
	"maxs" "3 71 1"
	"initialstate" "1"
	"BlockType" "0"
	"parentname" "elevator_1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2168 5902 2505"
	"mins" "-90 -3 -1"
	"maxs" "90 3 1"
	"initialstate" "1"
	"BlockType" "0"
	"parentname" "elevator_1"
}

; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================
filter:
; --- Remove the chopper intro sound
{
	"targetname" "sound_chopperleave"
}
; --- Remove fire sounds from the start of the map that can sometimes loop forever and play across the entire map (c1m1.Fireloop02 and c1m1.Fireloop03)
{
	"targetname" "fire14_sound"
}
{
	"targetname" "fire15_sound"
}
{
	"targetname" "fire13_sound"
}
{
	"targetname" "fire16_sound"
}
{
	"targetname" "fire03_sound"
}

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================
; --- Remove the burning/collapsing ceiling effects
filter:
{
	"targetname" "ds-f1ceilingA_case"
}
{
	"targetname" "ds-f1ceilingBB_case"
}
{
	"targetname" "ds-f1ceilingC_case"
}
{
	"targetname" "ds-f1ceilingD_case"
}
{
	"targetname" "ds-f1ceilingE_case"
}
{
	"targetname" "ds-wallfall_relay"
}
{
	"targetname" "ds-f3ceiling_timer"
}
{
	"targetname" "ds-f3ceilingA_case"
}
{
	"targetname" "ds-f3ceilingB_case"
}
{
	"targetname" "ds-f3ceilingC_case"
}
{
	"targetname" "ds-f3ceilingD_case"
}
{
	"targetname" "ds-f3ceilingE_case"
}
{
	"targetname" "ds-f3ceilingF_case"
}
{
	"targetname" "ds-f3ceilingF_timer"
}
{
	"targetname" "ds-f3ceilingF1-template"
}
{
	"targetname" "ds-f3ceilingF2-template"
}
{
	"targetname" "ds-f3ceilingF3-template"
}
{
	"targetname" "ds-f3ceilingF4-template"
}
{
	"targetname" "ds-f3ceilingF5-template"
}
{
	"targetname" "ds-f3ceilingF6-template"
}
; --- Triggers that enable fire effects after elevator
{
	"hammerid" "4484791"
}
{
	"hammerid" "4557051"
}
{
	"hammerid" "4563800"
}
; --- Reduce density of the ground floor fog
modify:
{
    match:
    {
		"targetname" "fog_floorone"
		"classname" "env_fog_controller"
    }
    replace:
    {
		"fogstart" "64"
		"fogend" "832"
    }
}
modify:
{
	match:
	{
		"classname" "func_precipitation"
		"hammerid" "2657555"
	}
	replace:
	{
		"renderamt" "75"
	}
}
; --- Remove the local contrast/blurriness effect
modify:
{
    match:
    {
		"targetname" "fx_settings_smoke"
		"classname" "postprocess_controller"
    }
    delete:
    {
		"localcontraststrength" "-.55"
		"localcontrastedgestrength" "-.2"
    }
}


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================
filter:
; --- Remove push triggers
{
	"classname" "trigger_push"
}
; --- Reduce damage of 2 overlapping triggers near the end of the map that do too much damage
modify:
{
	match:
	{
		"classname" "trigger_hurt"
		"damage" "20"
	}
	replace:
	{
		"damage" "16"
	}
}
; --- After exiting the elevator, remove the kill trigger above the glass by the end saferoom, replaced with a survivor blocker
modify:
{
	match:
	{
		"hammerid" "3830903"
	}
	insert:
	{
		"targetname" "glass_kill_trigger"
	}
}
{
	match:
	{
		"hammerid" "3831142"
	}
	insert:
	{
		"targetname" "glass_kill_trigger"
	}
}
{
	match:
	{
		"targetname" "elevator_door_button1"
	}
	insert:
	{
		"OnPressed" "glass_kill_trigger,Kill,,0,-1"
	}
}


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================